| Home | Libraries | People | FAQ | More

## Struct template get

boost::compute::get

## Synopsis

    // In header: <boost/compute/functional/get.hpp>

    template<size_t N>
    struct get {

      // public member functions
      template<typename Arg> unspecified operator()(const Arg &) const;
    };

## Description

Returns the `N'th` element of an aggregate type (e.g. scalarN, pair, tuple, etc.).

See Also:

field<T>

### `get` public member functions

1.     template<typename Arg> unspecified operator()(const Arg & arg) const;